Bug 145627 - Can't input english if indic/russian keyboard is selected during installation
Summary: Can't input english if indic/russian keyboard is selected during installation
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firstboot   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Max Spevack
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: Indic 155574 156322 157870 Russian
TreeView+ depends on / blocked
 
Reported: 2005-01-20 06:25 UTC by Jatin Nansi
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHBA-2005-711
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 17:13:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:711 qe-ready SHIPPED_LIVE up2date bug fix update 2005-10-05 04:00:00 UTC
Red Hat Product Errata RHBA-2005:713 qe-ready SHIPPED_LIVE firstboot bug fix update 2005-10-05 04:00:00 UTC

Description Jatin Nansi 2005-01-20 06:25:56 UTC
Description of problem:
If user selects an indic keyboard layout as default during the
install, its not possible to input any english during firstboot. Its
possible to input english during the install and after bootup, the
problem is only during firstboot. Tested on RHEL4-RC-0107.0 WS


Version-Release number of selected component (if applicable):
1.3.39-2


How reproducible:
Everytime


Steps to Reproduce:
1. Select an indic keyboard during installation
2. Complete install and reboot into firstboot
3. 

  
Actual results:
Cannot input any english text in firstboot


Expected results:
Should be able to input english


Additional info:

Comment 1 Leon Ho 2005-02-07 15:51:29 UTC
That maybe need to fix on anaconda end to provide switching of the key
layout?

Comment 2 Jens Petersen 2005-03-18 09:00:13 UTC
Any news on this?

Comment 3 Jens Petersen 2005-05-16 14:44:11 UTC
Is this still reproducible with RHEL4?

Comment 4 Jens Petersen 2005-05-16 15:52:54 UTC
Aalam tells me this is apparently only reproducible from a cdrom install
(or with "linux nopass"), and it is still happening with fc4test3.

Comment 6 Debbie McGrath 2005-06-08 18:02:36 UTC
This bug is considered CanFix for RHEL 4 U2 by RHN Engineering.

Comment 8 Lawrence Lim 2005-06-16 07:59:10 UTC
I have experience the same problem when installing with Russian keyboard during
anaconda install.

Comment 11 Debbie McGrath 2005-06-22 13:53:34 UTC
Devel & PM ACK for U2

Comment 13 Adrian Likins 2005-07-29 17:00:29 UTC
What is "the right thing" and the approriate places, and what does firstboot
need to do to take this into account?

Comment 14 Jens Petersen 2005-07-31 06:40:42 UTC
Simple answer is I don't know... it is strange that this only
affects firstboot though: are there any differences wrt to X configuration
for firstboot from anaconda/normal X sessions?  Specially wrt to kbd setup?

Anyway firstboot should just allow ascii input with any keyboard.

Comment 15 Leon Ho 2005-08-01 05:01:49 UTC
Yup, Jens' suggestion is good. Is it possible to enforce to use ascii input in
firstboot's X environment?

Comment 17 Adrian Likins 2005-08-01 18:58:02 UTC
Trying to use rhpl.keyboard to setup/activate the right keymap if
we start up X ourself. I'm guessing that might be it, testing now.

Comment 18 Adrian Likins 2005-08-08 16:02:41 UTC
firstboot-1.3.39-4

Comment 20 Max Spevack 2005-09-06 19:13:36 UTC
Tested that package via firstboot --reconfig and chose "Russian" and also
"Russian (cp1251)" as the keyboard types.

Was still able to enter text during the rest of firstboot.  PROD_READY

Comment 21 Todd Warner 2005-09-23 21:47:21 UTC
PROD_READY is a deprecated state. This bug is now RELEASE_PENDING.

Comment 22 Red Hat Bugzilla 2005-10-05 17:11:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-713.html


Comment 23 Red Hat Bugzilla 2005-10-05 17:13:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-711.html



Note You need to log in before you can comment on or make changes to this bug.